Форум XBMC и Kodi. Помощь, поддержка, обсуждение, плагины.
   

Вернуться   Форум XBMC и Kodi. Помощь, поддержка, обсуждение, плагины. > Помощь и поддержка > Помощь по плагинам

Ответ
 
Опции темы Опции просмотра
Старый 03.09.2022, 22:14   #1291
Tima-
Member
 
Регистрация: 22.04.2015
Сообщений: 88
По умолчанию

благодарю
Tima- вне форума   Ответить с цитированием
   
Старый 05.09.2022, 16:29   #1292
razzor
Senior Member
 
Регистрация: 03.08.2011
Сообщений: 222
По умолчанию

А нет ли идей по автоматическому обновлению ссылки?
razzor вне форума   Ответить с цитированием
Старый 11.09.2022, 15:34   #1293
sir
Junior Member
 
Регистрация: 11.09.2022
Сообщений: 6
По умолчанию

Знаю что уже было не раз, но не могу побороть.

Коди на Вин10. Устанавливаю репу, захожу в нее - не вижу приложений.
В поиске пишу hdrezka - находит. Ошибка "зависимости xbmc.python версии 2.1.0"
Разные версии питона ставил - не помогло.
Еще пробовал разные версии репы - тоже самое.
Теперь вообще при поиске резки крошится Коди.

Нид хелп.
sir вне форума   Ответить с цитированием
Старый 11.09.2022, 18:51   #1294
NIV
Senior Member
 
Аватар для NIV
 
Регистрация: 15.09.2018
Сообщений: 376
По умолчанию

Цитата:
Сообщение от sir Посмотреть сообщение
Знаю что уже было не раз, но не могу побороть.

Коди на Вин10. Устанавливаю репу, захожу в нее - не вижу приложений.
В поиске пишу hdrezka - находит. Ошибка "зависимости xbmc.python версии 2.1.0"
Разные версии питона ставил - не помогло.
Еще пробовал разные версии репы - тоже самое.
Теперь вообще при поиске резки крошится Коди.

Нид хелп.

удаляете свой Коди во избежание случайных настроек, глюков и прочего.

загружаете и устанавливаете с сайта под свою систему

https://kodi.tv/download/windows

если у вас windows 10x64 - то загружать версию под нее. Другая версия тоже будет работать, но возможны баги...

Загружаете search.db или если хотите сами
https://github.com/seppius-xbmc-repo...tory.search.db
последнюю версиюю, zip файл.

Заходите в Дополнения, Установить Дополнения , Установить из ZIP файла. Указываете путь на repository.search.db-1.1.68.zip который вы загрузили чуть ранее.

после установки - зайти в Установить из Репозитория и зайти в " XBMC.RU search.db "

выбрать HDREZKA.TV в видео дополнениях. Если при установке выдает ошибку, что что-то там не соответствует по версии - зайти в Информацию плагина (навести на плагин и нажать и держать ENTER пока не появится список) , выбрать зависимости и выбрать ту, что выдает ошибку - откроется окошко ее установки и установить. У меня матюкаются две зависимости Search history и Translit for XBMC. После того, Как я установил их описанным выше методом - плагин сможет установиться.

на этом в принципе все, плагин дальше нормально запускается , но если у вас по региону действует блокировка - нужно либо ввести зеркало, либо запустить разблокировку.

p.s. если после установки репозитория search.db в нем пусто - перезапустите Kodi. Если и после этого пусто - нужно зайти в лог и выдернуть ошибку (показав ее автору search.db или в тему search.db) которую выдает репо - обычно это связано с другими репо и это временно, вскоре проходит само.

Ключевой момент - удаление вашего Коди. Если у вас установлено много других плагинов и удалять не вариант, вам нужно будет зайти в папку внутри Kodi
addons\packages
и удалить там все содержимое , после чего удалить плагин который вы установили и дальше установить search.db и действовать по выше описанному плану
__________________
Поддержка автора:
Яндекс Деньги (ЮMoney): 410012957137927
QIWI: qiwi.com/n/ITUDI109
NIV вне форума   Ответить с цитированием
Старый 11.09.2022, 20:30   #1295
sir
Junior Member
 
Регистрация: 11.09.2022
Сообщений: 6
По умолчанию

Цитата:
Сообщение от NIV Посмотреть сообщение

удаляете свой Коди во избежание случайных настроек, глюков и прочего.

загружаете и устанавливаете с сайта под свою систему

https://kodi.tv/download/windows

если у вас windows 10x64 - то загружать версию под нее. Другая версия тоже будет работать, но возможны баги...

Загружаете search.db или если хотите сами
https://github.com/seppius-xbmc-repo...tory.search.db
последнюю версиюю, zip файл.

Заходите в Дополнения, Установить Дополнения , Установить из ZIP файла. Указываете путь на repository.search.db-1.1.68.zip который вы загрузили чуть ранее.

после установки - зайти в Установить из Репозитория и зайти в " XBMC.RU search.db "

выбрать HDREZKA.TV в видео дополнениях. Если при установке выдает ошибку, что что-то там не соответствует по версии - зайти в Информацию плагина (навести на плагин и нажать и держать ENTER пока не появится список) , выбрать зависимости и выбрать ту, что выдает ошибку - откроется окошко ее установки и установить. У меня матюкаются две зависимости Search history и Translit for XBMC. После того, Как я установил их описанным выше методом - плагин сможет установиться.

на этом в принципе все, плагин дальше нормально запускается , но если у вас по региону действует блокировка - нужно либо ввести зеркало, либо запустить разблокировку.

p.s. если после установки репозитория search.db в нем пусто - перезапустите Kodi. Если и после этого пусто - нужно зайти в лог и выдернуть ошибку (показав ее автору search.db или в тему search.db) которую выдает репо - обычно это связано с другими репо и это временно, вскоре проходит само.

Ключевой момент - удаление вашего Коди. Если у вас установлено много других плагинов и удалять не вариант, вам нужно будет зайти в папку внутри Kodi
addons\packages
и удалить там все содержимое , после чего удалить плагин который вы установили и дальше установить search.db и действовать по выше описанному плану
Search.db вообще не открывается - говорит не возможно открыть или что то в этом роде.
Установил ещё 20ю версию Коди - та же херня.
Установил 18ю - все работает норм.
sir вне форума   Ответить с цитированием
Старый 12.09.2022, 06:18   #1296
bigbax
Senior Member
 
Аватар для bigbax
 
Регистрация: 12.12.2009
Адрес: Моск.обл.
Сообщений: 4,454
Отправить сообщение для bigbax с помощью ICQ
По умолчанию

Цитата:
Сообщение от sir Посмотреть сообщение
было не раз. Ошибка "зависимости xbmc.python версии 2.1.0"
это относилось к принудительному запуску старых плагинов в Git , в addon.xml которых был прописан питон 2.0.0. Распаковывали zip, исправляли на 2.1.0, упаковывали, устанавливали из zip вручную. и плагин работал
Цитата:
Сообщение от sir Посмотреть сообщение
Устанавливаю репу, захожу в нее - не вижу приложений.
версия Коди и плагинов в репо не совместимы.
Цитата:
В поиске пишу hdrezka - находит. Ошибка "зависимости xbmc.python версии 2.1.0"
Разные версии питона ставил - не помогло.
Ну, в общем то, о чём выше написал. А Ваш zip c репо соответствует версии коди? Питон 3.7?
Цитата:
Сообщение от sir Посмотреть сообщение
Search.db вообще не открывается - говорит не возможно открыть или что то в этом роде.
Установил ещё 20ю версию Коди - та же херня.
Установил 18ю - все работает норм.
у меня работает на 19.2-ом Коди Windows 7 x64.
нужно смотреть kodi.log - полный, не обрезанный, с режимом отладки и того, как именно Search.db не открывается, что пишет. Сейчас обновились данные из реп, плагины обновились
__________________
Ubuntu 20.0.х, Kodi next

Последний раз редактировалось bigbax; 12.09.2022 в 09:29.
bigbax вне форума   Ответить с цитированием
Старый 06.10.2022, 13:57   #1297
aldimol
Junior Member
 
Регистрация: 09.02.2021
Сообщений: 4
По умолчанию

Kodi 18.9
Плагин 2.5.8 - в настройках плагина выбрано разрешение - 720p, озвучка - select.
Зеркало из почты mirror@hdrezka.org.
Сегодня не работает воспроизведение всего видеоконтента
aldimol вне форума   Ответить с цитированием
Старый 07.10.2022, 08:59   #1298
sorochino
Senior Member
 
Регистрация: 11.04.2013
Сообщений: 308
По умолчанию

да, что-то сломалось глобально.
Цитата:
2022-10-07 07:54:48.815 T:2356 NOTICE: hdrezka: *** Show video http://hdrezka.me/films/thriller/521...rana-2022.html
2022-10-07 07:54:49.411 T:2356 NOTICE: hdrezka: *** Show video image http://static.rezka.cloud/i/2022/10/...a0zn11d42c.jpg
2022-10-07 07:54:49.427 T:2356 ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <type 'exceptions.IndexError'>
Error Contents: list index out of range
Traceback (most recent call last):
File "C:\Users\parser\AppData\Roaming\Kodi\addons\plugi n.video.hdrezka.tv\default.py", line 434, in <module>
plugin.main()
File "C:\Users\parser\AppData\Roaming\Kodi\addons\plugi n.video.hdrezka.tv\default.py", line 73, in main
self.show(url)
File "C:\Users\parser\AppData\Roaming\Kodi\addons\plugi n.video.hdrezka.tv\default.py", line 340, in show
post_id = common.parseDOM(content, "input", attrs={"id": "post_id"}, ret="value")[0]
IndexError: list index out of range
sorochino вне форума   Ответить с цитированием
Старый 09.10.2022, 00:53   #1299
numminorih
Member
 
Регистрация: 15.08.2013
Сообщений: 31
По умолчанию

Цитата:
Сообщение от sorochino Посмотреть сообщение
да, что-то сломалось глобально.
Найден фикс, все работает, исправлял через ssh.

https://github.com/dandygithub/kodi/...ed449e3b45c881
numminorih вне форума   Ответить с цитированием
Старый 09.10.2022, 09:26   #1300
sorochino
Senior Member
 
Регистрация: 11.04.2013
Сообщений: 308
По умолчанию

да, спасибо, после этого изменения заработало.
sorochino вне форума   Ответить с цитированием
Ответ

Метки
музыка, плагин, реквест, яндекс
 


Здесь присутствуют: 4 (пользователей: 0 , гостей: 4)
 
Опции темы
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.



Текущее время: 16:04. Часовой пояс GMT +3.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.